pub mod state_properties;
pub struct State {
    pub state_properties: Vec<state_properties::StateProperties>
}

impl State {
    pub fn new() -> State {
        State { state_properties: vec![] }
    }
}

pub trait GetState {
    fn get_state(&self) -> State;
}

pub trait ApplyState {
    fn apply_state(&mut self, state: State);
}